Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1Dconv.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1Dconv.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1Dconv.h	(revision 5099)
@@ -1,9 +1,9 @@
-!
+
 ! $Id$
-!
+
         subroutine get_uvd(itap,dtime,file_forctl,file_fordat,                  &
      &       ht,hq,hw,hu,hv,hthturb,hqturb,                                     &
      &       Ts,imp_fcg,ts_fcg,Tp_fcg,Turb_fcg)                                 
-!
+
         implicit none
  
@@ -109,5 +109,5 @@
         real Tsbef
         save htbef,hqbef,hwbef,hubef,hvbef,hthturbbef,hqturbbef
-!
+
         real timeaft,timebef
         save timeaft,timebef
@@ -131,5 +131,5 @@
         real hqturb_mes(100) !tendance horizontale d humidite, due aux
                               !flux turbulents
-!
+
 !---------------------------------------------------------------------
 ! variable argument de la subroutine copie
@@ -149,5 +149,5 @@
 !*** on determine le pas du meso_NH correspondant au nouvel itap ***
 !*** pour aller chercher les champs dans rdgrads                 ***
-!
+
         time=time0+itap*dtime
 !c        temps=int(time/dt+1)
@@ -156,8 +156,8 @@
         pas=min(temps,pasmax-1)
              print*,'le pas Meso est:',pas
-!
-!
+
+
 !===================================================================
-!
+
 !*** on remplit les champs before avec les champs after du pas   ***
 !*** precedent en format gcm                                     ***
@@ -190,5 +190,4 @@
      &                  ,hu_mes,hv_mes,hthturb_mes,hqturb_mes                 &
      &                  ,ts_fcg,ts_subr,imp_fcg,Turb_fcg)
-!
 
                if(Tp_fcg) then
@@ -203,5 +202,5 @@
          enddo
         endif  ! Turb_fcg
-!
+
                print*,'ht_mes ',(ht_mes(i),i=1,nblvlm)
                print*,'hq_mes ',(hq_mes(i),i=1,nblvlm)
@@ -286,5 +285,5 @@
          ts_subr = ((timeaft-time)*tsbef + (time-timebef)*tsaft)/dt
        endif ! temps.ge.pasmax
-!
+
         print *,' time,timebef,timeaft',time,timebef,timeaft
         print *,' ht,htbef,htaft,hthturb,hthturbbef,hthturbaft'
@@ -298,10 +297,10 @@
      &             hqturb(j),hqturbbef(j),hqturbaft(j)
         enddo
-!
+
 !-------------------------------------------------------------------
-!
+
          IF (Ts_fcg) Ts = Ts_subr
          return
-!
+
 !-----------------------------------------------------------------------
 ! on sort les champs de "convergence" pour l instant initial 'in'
@@ -312,10 +311,10 @@
      &           imp_fcg,ts_fcg,Tp_fcg,Turb_fcg)
              print*,'le pas itap est:',itap
-!
+
 !===================================================================
-!
+
        write(*,'(a)') 'OPEN '//file_forctl
        open(97,FILE=file_forctl,FORM='FORMATTED')
-!
+
 !------------------
       do i=1,1000
@@ -355,7 +354,7 @@
                   pasprev=in-1
                   time0=dt*pasprev
-!
+
           close(98)
-!
+
       write(*,'(a)') 'OPEN '//file_fordat
       open(99,FILE=file_fordat,FORM='UNFORMATTED',                          &
@@ -371,5 +370,5 @@
           print *, 'get_uvd : rdgrads ->'
           print *, tp_fcg
-!
+
 ! following commented out because we have temperature already in ARM case
 !   (otherwise this is the potential temperature )
@@ -445,11 +444,11 @@
           close(99)
           close(98)
-!
+
 !-------------------------------------------------------------------
-!
-!
+
+
  100      IF (Ts_fcg) Ts = Ts_subr
         return
-!
+
 999     continue
         stop 'erreur lecture, file forcing.ctl'
@@ -565,15 +564,15 @@
       SUBROUTINE mesolupbis(file_forctl)
       implicit none 
-!
+
 !ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
-!
+
 ! Lecture descripteur des donnees MESO-NH (forcing.ctl):
 ! -------------------------------------------------------
-!
+
 !     Cette subroutine lit dans le fichier de controle "essai.ctl"
 !     et affiche le nombre de niveaux du Meso-NH ainsi que les valeurs
 !     des pressions en milieu de couche du Meso-NH (en Pa puis en hPa).
 !ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
-!
+
       INTEGER nblvlm !nombre de niveau de pression du mesoNH
       REAL playm(100)  !pression en Pa milieu de chaque couche Meso-NH
@@ -591,14 +590,14 @@
       lu=9
       open(lu,file=file_forctl,form='formatted')
-!
+
       do i=1,1000
       read(lu,1000,end=999) a
       if (a .eq. 'ZDEF') go to 100
       enddo
-!
+
  100  backspace(lu)
       print*,'  DESCRIPTION DES 2 MODELES : '
       print*,' '
-!
+
       read(lu,2000) aaa
  2000  format (a80)
@@ -607,9 +606,8 @@
          read(anblvl,*) nblvlm
 
-!
       print*,'nbre de niveaux de pression Meso-NH :',nblvlm
       print*,' '
       print*,'pression en Pa de chaque couche du meso-NH :'
-!
+
       read(lu,*) (playm(mlz),mlz=1,nblvlm)
 !      Si la pression est en HPa, la multiplier par 100
@@ -620,19 +618,19 @@
       endif
       print*,(playm(mlz),mlz=1,nblvlm)
-!
+
  1000 format (a4)
  1001 format(5x,i2)
-!
+
       print*,' '
       do mlzh=1,nblvlm
       hplaym(mlzh)=playm(mlzh)/100.
       enddo
-!
+
       print*,'pression en hPa de chaque couche du meso-NH: '
       print*,(hplaym(mlzh),mlzh=1,nblvlm)
-!
+
       close (lu)
       return
-!
+
  999  stop 'erreur lecture des niveaux pression des donnees'
       end
@@ -645,12 +643,12 @@
       real hthtur(nl),hqtur(nl)
       real ts
-!
+
       INTEGER k
-!
+
       LOGICAL imp_fcg,ts_fcg,Turb_fcg
-!
+
       icomp = icount
-!
-!
+
+
          do k=1,nl
             icomp=icomp+1
@@ -667,5 +665,5 @@
             read(itape,rec=icomp)hQ(k)
          enddo
-!
+
              if(turb_fcg) then
          do k=1,nl
@@ -679,5 +677,5 @@
              endif
          print *,' apres lecture hthtur, hqtur'
-!
+
           if(imp_fcg) then
 
@@ -692,15 +690,15 @@
 
           endif
-!
+
          do k=1,nl
             icomp=icomp+1
             read(itape,rec=icomp)hw(k)
          enddo
-!
+
               if(ts_fcg) then
          icomp=icomp+1
          read(itape,rec=icomp)ts
               endif
-!
+
       print *,' rdgrads ->'
 
@@ -756,5 +754,5 @@
        endif
       enddo
-!
+
 !c      if (play(klev) .le. playm(nblvlm)) then
 !c         mlz=nblvlm-1
@@ -765,5 +763,5 @@
 !c     *            /(playm(mlz+1)-playm(mlz))
 !c      endif
-!
+
       print*,' '
       print*,'         INTERPOLATION  : '
@@ -779,5 +777,5 @@
       print*,'valeurs du deuxieme coef d"interpolation pour les 9 niveaux:'
       print*,(coef2(k),k=1,klev)
-!
+
       return
       end
@@ -821,14 +819,14 @@
       END
       CHARACTER*(*) FUNCTION SPACES(STR,NSPACE)
-!
+
 ! CERN PROGLIB# M433    SPACES          .VERSION KERNFOR  4.14  860211
 ! ORIG.  6/05/86 M.GOOSSENS/DD
-!
+
 !-    The function value SPACES returns the character string STR with
 !-    leading blanks removed and each occurence of one or more blanks
 !-    replaced by NSPACE blanks inside the string STR
-!
+
       CHARACTER*(*) STR
-!
+
       LENSPA = LEN(SPACES)
       SPACES = ' '
@@ -853,16 +851,16 @@
   999 END
       FUNCTION INDEXC(STR,SSTR)
-!
+
 ! CERN PROGLIB# M433    INDEXC          .VERSION KERNFOR  4.14  860211
 ! ORIG. 26/03/86 M.GOOSSENS/DD
-!
+
 !-    Find the leftmost position where substring SSTR does not match
 !-    string STR scanning forward
-!
+
       CHARACTER*(*) STR,SSTR
-!
+
       LENS   = LEN(STR)
       LENSS  = LEN(SSTR)
-!
+
       DO 10 I=1,LENS-LENSS+1
           IF (STR(I:I+LENSS-1).NE.SSTR) THEN
@@ -872,4 +870,4 @@
    10 CONTINUE
       INDEXC = 0
-!
+
   999 END
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/compar1d.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/compar1d.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/compar1d.h	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: compar1d.h 2010-08-04 17:02:56Z lahellec $
-!
+
       integer :: forcing_type
       integer :: tend_u,tend_v,tend_w,tend_t,tend_q,tend_rayo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz1d.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz1d.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz1d.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 !#ifdef CPP_1D
 !#include "../dyn3d/mod_const_mpi.F90"
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_amma_read.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_amma_read.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_amma_read.F90	(revision 5099)
@@ -352,5 +352,5 @@
 !---------------------------------------------------------------------------------------
 ! Time interpolation of a 2D field to the timestep corresponding to day
-!
+
 ! day: current julian day (e.g. 717538.2)
 ! day1: first day of the simulation
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 5099)
@@ -823,5 +823,5 @@
 !---------------------------------------------------------------------------------------
 ! Time interpolation of a 2D field to the timestep corresponding to day
-!
+
 ! day: current julian day (e.g. 717538.2)
 ! day1: first day of the simulation
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: mod_1D_cases_read.F90 2373 2015-10-13 17:28:01Z jyg $
-!
+
 MODULE mod_1D_cases_read2
   USE netcdf, ONLY: nf90_get_var,nf90_noerr,nf90_inq_varid,nf90_inquire_dimension,nf90_strerror,nf90_open,&
@@ -372,5 +372,5 @@
     else
        allocate(time_val(nt_cas))
-       ierr = NF90_GET_VAR(nid,timeid,time_val)
+       ierr = nf90_get_var(nid,timeid,time_val)
        if(ierr/=nf90_noerr) then
           print *,'Pb a la lecture de time cas.nc: '
@@ -582,5 +582,5 @@
      print *,'Dans read_cas2, on va lire ',var3didin(i),name_var(i)
      if(i<=35) then
-        ierr = NF90_GET_VAR(nid,var3didin(i),resul, count = [1, 1, nlevel, ntime])
+        ierr = nf90_get_var(nid,var3didin(i),resul, count = [1, 1, nlevel, ntime])
         print *,'Dans read_cas2, on a lu ',ierr,var3didin(i),name_var(i)
         if(ierr/=nf90_noerr) then
@@ -590,5 +590,5 @@
      else
         print *,'Dans read_cas2, on a lu ',ierr,var3didin(i),name_var(i)
-        ierr = NF90_GET_VAR(nid,var3didin(i),resul1, count = [1, 1, ntime])
+        ierr = nf90_get_var(nid,var3didin(i),resul1, count = [1, 1, ntime])
         if(ierr/=nf90_noerr) then
            print *,'Pb a la lecture de cas.nc: ',name_var(i)
@@ -702,5 +702,5 @@
         !-----------------------------------------------------------------------
         if(i<=4) then     ! Lecture des coord pression en (nlevelp1,lat,lon)
-           ierr = NF90_GET_VAR(nid,var3didin(i),apbp, count = [1, 1, nlevel + 1])
+           ierr = nf90_get_var(nid,var3didin(i),apbp, count = [1, 1, nlevel + 1])
            print *,'read2_cas(apbp), on a lu ',i,name_var(i)
            if(ierr/=nf90_noerr) then
@@ -710,5 +710,5 @@
            !-----------------------------------------------------------------------
         else if(i>4.and.i<=45) then   ! Lecture des variables en (time,nlevel,lat,lon)
-           ierr = NF90_GET_VAR(nid,var3didin(i),resul, count = [1, 1, nlevel, ntime])
+           ierr = nf90_get_var(nid,var3didin(i),resul, count = [1, 1, nlevel, ntime])
            print *,'read2_cas(resul), on a lu ',i,name_var(i)
            if(ierr/=nf90_noerr) then
@@ -718,5 +718,5 @@
            !-----------------------------------------------------------------------
         else if (i>45.and.i<=51) then   ! Lecture des variables en (time,lat,lon)
-           ierr = NF90_GET_VAR(nid,var3didin(i),resul2, count = [1, 1, ntime])
+           ierr = nf90_get_var(nid,var3didin(i),resul2, count = [1, 1, ntime])
            print *,'read2_cas(resul2), on a lu ',i,name_var(i)
            if(ierr/=nf90_noerr) then
@@ -726,5 +726,5 @@
            !-----------------------------------------------------------------------
         else     ! Lecture des constantes (lat,lon)
-           ierr = NF90_GET_VAR(nid,var3didin(i),resul3)
+           ierr = nf90_get_var(nid,var3didin(i),resul3)
            print *,'read2_cas(resul3), on a lu ',i,name_var(i)
            if(ierr/=nf90_noerr) then
@@ -877,5 +877,5 @@
         !-----------------------------------------------------------------------
         if(i<=4) then     ! Lecture des coord pression en (nlevelp1,lat,lon)
-           ierr = NF90_GET_VAR(nid,var3didin(i),apbp)
+           ierr = nf90_get_var(nid,var3didin(i),apbp)
            print *,'read2_cas(apbp), on a lu ',i,name_var(i)
            if(ierr/=nf90_noerr) then
@@ -885,5 +885,5 @@
            !-----------------------------------------------------------------------
         else if(i>4.and.i<=12) then   ! Lecture des variables en (time,nlevel,lat,lon)
-           ierr = NF90_GET_VAR(nid,var3didin(i),resul1)
+           ierr = nf90_get_var(nid,var3didin(i),resul1)
            print *,'read2_cas(resul1), on a lu ',i,name_var(i)
            if(ierr/=nf90_noerr) then
@@ -894,5 +894,5 @@
            !-----------------------------------------------------------------------
         else if(i>12.and.i<=54) then   ! Lecture des variables en (time,nlevel,lat,lon)
-           ierr = NF90_GET_VAR(nid,var3didin(i),resul)
+           ierr = nf90_get_var(nid,var3didin(i),resul)
            print *,'read2_cas(resul), on a lu ',i,name_var(i)
            if(ierr/=nf90_noerr) then
@@ -903,5 +903,5 @@
            !-----------------------------------------------------------------------
         else if (i>54.and.i<=65) then   ! Lecture des variables en (time,lat,lon)
-           ierr = NF90_GET_VAR(nid,var3didin(i),resul2)
+           ierr = nf90_get_var(nid,var3didin(i),resul2)
            print *,'read2_cas(resul2), on a lu ',i,name_var(i)
            if(ierr/=nf90_noerr) then
@@ -912,5 +912,5 @@
            !-----------------------------------------------------------------------
         else     ! Lecture des constantes (lat,lon)
-           ierr = NF90_GET_VAR(nid,var3didin(i),resul3)
+           ierr = nf90_get_var(nid,var3didin(i),resul3)
            print *,'read2_cas(resul3), on a lu ',i,name_var(i)
            if(ierr/=nf90_noerr) then
@@ -1042,5 +1042,5 @@
   !---------------------------------------------------------------------------------------
   ! Time interpolation of a 2D field to the timestep corresponding to day
-  !
+
   ! day: current julian day (e.g. 717538.2)
   ! day1: first day of the simulation
@@ -1235,5 +1235,5 @@
      ,lat_cas,sens_cas,ustar_cas                                        &
      ,uw_cas,vw_cas,q1_cas,q2_cas,tke_cas                               &
-     !
+
      ,ts_prof_cas,plev_prof_cas,t_prof_cas,theta_prof_cas               &
      ,thv_prof_cas,thl_prof_cas,qv_prof_cas,ql_prof_cas,qi_prof_cas     &
@@ -1251,5 +1251,5 @@
   !---------------------------------------------------------------------------------------
   ! Time interpolation of a 2D field to the timestep corresponding to day
-  !
+
   ! day: current julian day (e.g. 717538.2)
   ! day1: first day of the simulation
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: mod_1D_cases_read.F90 2373 2015-10-13 17:28:01Z jyg $
-!
+
 MODULE mod_1D_cases_read_std
   USE netcdf, ONLY:nf90_noerr,nf90_inq_varid,nf90_inq_dimid,nf90_inquire_dimension,nf90_open,nf90_nowrite,&
@@ -147,5 +147,5 @@
     else
        allocate(time_val(nt_cas))
-       ierr = NF90_GET_VAR(nid,timeid,time_val)
+       ierr = nf90_get_var(nid,timeid,time_val)
        if(ierr/=nf90_noerr) then
           print *,'A Pb a la lecture de time cas.nc: '
@@ -454,5 +454,5 @@
           !-----------------------------------------------------------------------
           if(i<=4) then
-             ierr = NF90_GET_VAR(nid,var3didin(i),apbp)
+             ierr = nf90_get_var(nid,var3didin(i),apbp)
              print *,'read_SCM(apbp), on a lu ',i,name_var(i)
              if(ierr/=nf90_noerr) then
@@ -465,5 +465,5 @@
              !-----------------------------------------------------------------------
           else if(i>4.and.i<=12) then
-             ierr = NF90_GET_VAR(nid,var3didin(i),resul1)
+             ierr = nf90_get_var(nid,var3didin(i),resul1)
              print *,'read_SCM(resul1), on a lu ',i,name_var(i)
              if(ierr/=nf90_noerr) then
@@ -478,5 +478,5 @@
              !-----------------------------------------------------------------------
           else if(i>12.and.i<=61) then
-             ierr = NF90_GET_VAR(nid,var3didin(i),resul)
+             ierr = nf90_get_var(nid,var3didin(i),resul)
              print *,'read_SCM(resul), on a lu ',i,name_var(i)
              if(ierr/=nf90_noerr) then
@@ -490,5 +490,5 @@
              !-----------------------------------------------------------------------
           else if (i>62.and.i<=75) then
-             ierr = NF90_GET_VAR(nid,var3didin(i),resul2)
+             ierr = nf90_get_var(nid,var3didin(i),resul2)
              print *,'read_SCM(resul2), on a lu ',i,name_var(i)
              if(ierr/=nf90_noerr) then
@@ -502,5 +502,5 @@
              !-----------------------------------------------------------------------
           else
-             ierr = NF90_GET_VAR(nid,var3didin(i),resul3)
+             ierr = nf90_get_var(nid,var3didin(i),resul3)
              print *,'read_SCM(resul3), on a lu ',i,name_var(i)
              if(ierr/=nf90_noerr) then
@@ -640,5 +640,5 @@
        ,lat_cas,sens_cas,ustar_cas                                        &
        ,uw_cas,vw_cas,q1_cas,q2_cas,tkes_cas                               &
-       !
+
        ,ts_prof_cas,tskin_prof_cas,ps_prof_cas,plev_prof_cas,t_prof_cas,theta_prof_cas               &
        ,thv_prof_cas,thl_prof_cas,qv_prof_cas,ql_prof_cas,qi_prof_cas     &
@@ -662,5 +662,5 @@
     !---------------------------------------------------------------------------------------
     ! Time interpolation of a 2D field to the timestep corresponding to day
-    !
+
     ! day: current julian day (e.g. 717538.2)
     ! day1: first day of the simulation
@@ -919,5 +919,5 @@
        ,dt_prof_cas,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas,hq_prof_cas,vq_prof_cas &
        ,dth_prof_cas,hth_prof_cas,vth_prof_cas                                                 &
-       !
+
        ,t_mod_cas,theta_mod_cas,thv_mod_cas,thl_mod_cas                                        &
        ,qv_mod_cas,ql_mod_cas,qi_mod_cas,u_mod_cas,v_mod_cas                                   &
